> ## Documentation Index
> Fetch the complete documentation index at: https://docs.venture.caplia.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Patch v1mecompany



## OpenAPI

````yaml /founder/api-reference/openapi.json patch /v1/me/company
openapi: 3.0.0
info:
  title: Caplia Founder API
  version: 1.0.0
  description: >-
    Read and manage your own company, and run the private deck-scoring loop.
    Authenticated with company-scoped cap_fnd_* keys.
servers:
  - url: https://api.venture.caplia.ai
    description: Production
  - url: https://api-sandbox.venture.caplia.ai
    description: Sandbox
security: []
paths:
  /v1/me/company:
    patch:
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  minLength: 1
                  maxLength: 200
                website:
                  type: string
                  format: uri
                industry:
                  type: string
                  maxLength: 100
                stage:
                  type: string
                  maxLength: 50
                problem_statement:
                  type: string
                  maxLength: 10000
              additionalProperties: false
      responses:
        '200':
          description: Updated
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    format: uuid
                  name:
                    type: string
                  website:
                    type: string
                    nullable: true
                  industry:
                    type: string
                    nullable: true
                  stage:
                    type: string
                    nullable: true
                  problem_statement:
                    type: string
                    nullable: true
                  created_at:
                    type: string
                    nullable: true
                required:
                  - id
                  - name
                  - website
                  - industry
                  - stage
                  - problem_statement
                  - created_at
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      request_id:
                        type: string
                    required:
                      - code
                      - message
                      - request_id
                required:
                  - error
        '403':
          description: Key lacks required scope
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      request_id:
                        type: string
                    required:
                      - code
                      - message
                      - request_id
                required:
                  - error
        '404':
          description: Not found or out of scope
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      request_id:
                        type: string
                    required:
                      - code
                      - message
                      - request_id
                required:
                  - error
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      request_id:
                        type: string
                    required:
                      - code
                      - message
                      - request_id
                required:
                  - error

````